<style lang="scss" scoped>
.loading_bg {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  z-index: 12;
  &.has-bg {
    background: rgba(255, 255, 255, 0.4);
  }
}
.m-loader {
  width: 30px;
  height: 30px;
  display: inline-block;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
</style>
<template>
  <div v-if="is_loader" class="loading_bg" :class="{ 'has-bg': hasBg }">
    <div class="m-loader m-loader--brand m-loader--lg"></div>
  </div>
</template>
<script>
export default {
  props: {
    is_loader: {
      type: Boolean,
      default: false
    },
    hasBg: {
      type: Boolean,
      default: true
    }
  }
};
</script>
